Packager: Igor Vlasenko <viy@altlinux.ru>
%def_without webcontainer
%def_without container_rhino
%def_with container_jython
%def_without container_jruby
%def_with container_groovy
%def_with container_bsh
%def_with container_aop
%def_without manual
BuildRequires: mojo-maven2-plugin-cobertura cobertura maven2-default-skin jetty6-core jetty6-jsp-2.0-api jetty6-servlet-2.5-api slf4j tomcat5-jsp-2.0-api
BuildRequires: excalibur excalibur-avalon-framework
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

## If you don't want to build with maven, and use straight ant instead,
## give rpmbuild option '--without maven'
#
#%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
#%define without_maven %{?_without_maven:1}%{!?_without_maven:0}
# TODO!!

%define svn_tag   1_1

Name:           nanocontainer
Version:        1.1
Release:        alt2_1jpp5
Epoch:          0
Summary:        Dependency-injection container

Group:          Development/Java
License:        BSD -style
URL:            http://nanocontainer.codehaus.org/
Source0:        nanocontainer-1.1.tar.gz
# svn export http://svn.codehaus.org/picocontainer/java/1.x/nanocontainer/tags/nanocontainer-1_1/ nanocontainer-1.1

Source1:        %{name}-settings.xml
Source2:        %{name}-%{version}-jpp-depmap.xml
Source3:        %{name}-site.xml
Source4:        nanocontainer-webcontainer-r3737.tar.gz
# svn export http://svn.codehaus.org/picocontainer/java/1.x/nanocontainer/trunk/webcontainer/ nanocontainer-webcontainer-r3737

Patch0:         %{name}-%{version}-pom_xml.patch
Patch1:         %{name}-%{version}-container-bsh-pom_xml.patch
Patch2:         %{name}-%{version}-JRubyContainerBuilder.patch
Patch3:         %{name}-%{version}-container-jruby-pom_xml.patch
Patch4:         %{name}-%{version}-JavascriptContainerBuilder.patch
Patch5:         %{name}-%{version}-distribution-pom_xml.patch
Patch6:         %{name}-%{version}-webcontainer-pom_xml.patch

Patch33:nanocontainer-1.1-alt-disable-containers.patch

%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: junit >= 0:3.8.1
BuildRequires: ant >= 0:1.6
#%if %{with_maven}
BuildRequires: maven2-plugins >= 2.0.4-10jpp
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven-surefire-plugin
#%endif

BuildRequires: aopalliance
BuildRequires: asm2 >= 0:2.2.3
BuildRequires: backport-util-concurrent >= 0:2.1
BuildRequires: bsh2
BuildRequires: cglib1
BuildRequires: cobertura
BuildRequires: dynaop
BuildRequires: gnu-getopt
BuildRequires: groovy >= 0:1.0
BuildRequires: jakarta-commons-cli
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-commons-io
BuildRequires: jakarta-commons-lang
BuildRequires: jakarta-commons-logging >= 0:1.1
BuildRequires: jakarta-commons-validator
BuildRequires: jakarta-commons-vfs
BuildRequires: jakarta-oro
BuildRequires: jdom
BuildRequires: jetty5
BuildRequires: jmock
BuildRequires: jruby
BuildRequires: jython
BuildRequires: picocontainer
BuildRequires: proxytoys
BuildRequires: qdox
BuildRequires: regexp
BuildRequires: rhino
BuildRequires: servletapi5
BuildRequires: velocity
BuildRequires: xstream >= 0:1.2.1
BuildRequires: jmock

#BuildRequires:  log4j
#BuildRequires:  xpp3

Requires: asm2
Requires: cglib1
Requires: jakarta-commons-cli
Requires: jakarta-commons-logging >= 0:1.1
Requires: jakarta-commons-vfs
Requires: junit
Requires: log4j
Requires: picocontainer
Requires: xpp3
Requires: xstream
Requires: %{name}-container-groovy = %{epoch}:%{version}-%{release}

Requires(post): jpackage-utils >= 0:1.7.2
Requires(postun): jpackage-utils >= 0:1.7.2

%description
The scope of the NanoContainer project is to complement the
PicoContainer project, providing it with additional
functionality. The project comprises of several components
which can either be adaptions in various guises of
PicoContainer (eg composition by-class-name rather than
by-class), or adaptations to external components bringing
them closer to the Dependency Injection ideal - particularly
Constructor Injection.
NanoContainer is a Dependency Injection container that
manages trees of PicoContainers.

%if_with container_aop
%package        container-aop
Summary:        AOP Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: aopalliance
Requires: dynaop
Requires: jakarta-oro
%endif #container_aop

%if_with container_aop
%description    container-aop
%{summary}.
%endif #container_aop

%if_with container_bsh
%package        container-bsh
Summary:        BSH Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: bsh2
%endif #container_bsh

%if_with container_bsh
%description    container-bsh
%{summary}.
%endif #container_bsh

%if_with container_groovy
%package        container-groovy
Summary:        Groovy Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groovy
%endif #container_groovy

%if_with container_groovy
%description    container-groovy
%{summary}.
%endif #container_groovy

%if_with container_jruby
%package        container-jruby
Summary:        JRuby Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jruby
%endif #container_jruby

%if_with container_jruby
%description    container-jruby
%{summary}.
%endif #container_jruby

%if_with container_jython
%package        container-jython
Summary:        Jython Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jython
%endif #container_jython

%if_with container_jython
%description    container-jython
%{summary}.
%endif #container_jython

%if_with container_rhino
%if_with container_rhino
%package        container-rhino
Summary:        Jython Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: rhino
%endif #container_rhino
%endif #container_rhino

%if_with container_rhino
%if_with container_rhino
%description    container-rhino
%{summary}.
%endif #container_rhino
%endif #container_rhino

%if_with webcontainer
%package        webcontainer
Summary:        Jetty6 based Web-Container for %{name}
Group:          Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: ecj
Requires: jakarta-commons-el
Requires: jakarta-commons-logging
Requires: jetty6-core
Requires: jetty6-servlet-2.5-api
Requires: jetty6-jsp-2.0-api

%description    webcontainer
%{summary}.
%endif #container

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%if_with manual
%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation
%endif #manual

%if_with manual
%description    manual
%{summary}.
%endif #manual


%prep
%setup -q
cp %{SOURCE1} settings.xml
mkdir -p src/site
cp %{SOURCE3} src/site/site.xml
gzip -dc %{SOURCE4} | tar xf -
rm -rf webcontainer/*
mv nanocontainer-webcontainer-r3737/* webcontainer

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch33 -p1

subst 's,<module>container-jruby</module>,,' pom.xml
subst 's,<module>container-rhino</module>,,' pom.xml
subst 's,<module>webcontainer</module>,,' pom.xml

%build
#%if %{with_maven}
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

mvn-jpp \
        -e \
        -s $(pwd)/settings.xml \
        -Djasper-version=5.5.15 \
        -Dslf4j-version=1.3.1 \
        -Dxerces-version=2.6.2 \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc 
#        install javadoc:javadoc site:site
#%else
#true
#%endif

%install
#jars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 booter/target/%{name}-booter-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/booter-%{version}.jar
install -pm 644 container/target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-%{version}.jar
install -pm 644 container-aop/target/%{name}-aop-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-aop-%{version}.jar
install -pm 644 container-bsh/target/%{name}-bsh-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-bsh-%{version}.jar
install -pm 644 container-groovy/target/%{name}-groovy-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-groovy-%{version}.jar
#install -pm 644 container-jruby/target/%{name}-jruby-%{version}.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-jruby-%{version}.jar
install -pm 644 container-jython/target/%{name}-jython-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-jython-%{version}.jar
#install -pm 644 container-rhino/target/%{name}-rhino-%{version}.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/container-rhino-%{version}.jar
install -pm 644 container-tck/target/%{name}-tck-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/tck-%{version}.jar
install -pm 644 deployer/target/%{name}-deployer-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/deployer-%{version}.jar
install -pm 644 testmodel/target/%{name}-testmodel-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/testmodel-%{version}.jar
#install -pm 644 webcontainer/target/%{name}-webcontainer-%{version}.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/webcontainer-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%add_to_maven_depmap org.nanocontainer nanocontainer-distribution %{version} JPP/%{name} distribution
%add_to_maven_depmap org.nanocontainer nanocontainer-parent %{version} JPP/%{name} parent
%add_to_maven_depmap org.nanocontainer nanocontainer %{version} JPP/%{name} container
%add_to_maven_depmap org.nanocontainer nanocontainer-booter %{version} JPP/%{name} booter
%add_to_maven_depmap org.nanocontainer nanocontainer-deployer %{version} JPP/%{name} deployer
%add_to_maven_depmap org.nanocontainer nanocontainer-aop %{version} JPP/%{name} container-aop
%add_to_maven_depmap org.nanocontainer nanocontainer-bsh %{version} JPP/%{name} container-bsh
%add_to_maven_depmap org.nanocontainer nanocontainer-groovy %{version} JPP/%{name} container-groovy
%add_to_maven_depmap org.nanocontainer nanocontainer-jruby %{version} JPP/%{name} container-jruby
%add_to_maven_depmap org.nanocontainer nanocontainer-jython %{version} JPP/%{name} container-jython
%add_to_maven_depmap org.nanocontainer nanocontainer-rhino %{version} JPP/%{name} container-rhino
%add_to_maven_depmap org.nanocontainer nanocontainer-tck %{version} JPP/%{name} tck
%add_to_maven_depmap org.nanocontainer nanocontainer-testmodel %{version} JPP/%{name} testmodel
%add_to_maven_depmap org.nanocontainer nanocontainer-webcontainer %{version} JPP/%{name} webcontainer

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 distribution/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-distribution.pom
install -pm 644 pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
install -pm 644 container/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container.pom
install -pm 644 booter/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-booter.pom
install -pm 644 deployer/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-deployer.pom
install -pm 644 container-aop/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-aop.pom
install -pm 644 container-bsh/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-bsh.pom
install -pm 644 container-groovy/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-groovy.pom
install -pm 644 container-jruby/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-jruby.pom
install -pm 644 container-jython/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-jython.pom
install -pm 644 container-rhino/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container-rhino.pom
install -pm 644 container-tck/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tck.pom
install -pm 644 testmodel/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testmodel.pom
install -pm 644 webcontainer/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webcontainer.pom

# nanodist
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/nanodist

cp -pr booter/target/booter/* $RPM_BUILD_ROOT%{_datadir}/nanodist
rm $RPM_BUILD_ROOT%{_datadir}/nanodist/nanocontainer.bat
pushd $RPM_BUILD_ROOT%{_datadir}/nanodist/lib
pushd common
        rm picocontainer*.jar
        ln -sf $(build-classpath picocontainer)
        rm commons-cli*.jar
        ln -sf $(build-classpath commons-cli)
popd
pushd hidden
        rm nanocontainer*.jar
        ln -sf %{_javadir}/nanocontainer/container-groovy.jar
        ln -sf %{_javadir}/nanocontainer/container.jar
        rm groovy-all*.jar
        ln -sf $(build-classpath groovy-all)
popd
        rm nanocontainer-booter*.jar
        ln -sf %{_javadir}/nanocontainer/booter.jar
popd

#javadocs
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/booter
cp -pr booter/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/booter
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container
cp -pr container/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-aop
cp -pr container-aop/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-aop
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-bsh
cp -pr container-bsh/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-bsh
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-groovy
cp -pr container-groovy/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-groovy
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-jruby
#cp -pr container-jruby/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-jruby
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-jython
cp -pr container-jython/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-jython
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-rhino
#cp -pr container-rhino/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-rhino
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-tck
cp -pr container-tck/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/container-tck

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployer
cp -pr deployer/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployer
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/testmodel
cp -pr testmodel/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/testmodel
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/webcontainer
#cp -pr webcontainer/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/webcontainer

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

#manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp -pr target/site $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/booter*.jar
%{_javadir}/%{name}/container.jar
%{_javadir}/%{name}/container-%{version}.jar
%{_javadir}/%{name}/deployer*.jar
%{_javadir}/%{name}/tck*.jar
%{_javadir}/%{name}/testmodel*.jar
%dir %{_datadir}/nanodist
%attr(755,root,root) %{_datadir}/nanodist/nanocontainer.sh
%{_datadir}/nanodist/booter.policy
%{_datadir}/nanodist/composition.groovy
%{_datadir}/nanodist/composition.xml
%{_datadir}/nanodist/test-comps
%{_datadir}/nanodist/lib
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}*-%{version}.jar.*
%{_libdir}/gcj/%{name}/badscript-deploy.jar.*
%endif
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%if_with container_aop
%files        container-aop
%{_javadir}/%{name}/container-aop*.jar
%endif #container_aop

%if_with container_bsh
%files        container-bsh
%{_javadir}/%{name}/container-bsh*.jar
%endif #container_bsh

%if_with container_groovy
%files        container-groovy
%{_javadir}/%{name}/container-groovy*.jar
%endif #container_groovy

%if_with container_jruby
%files        container-jruby
%{_javadir}/%{name}/container-jruby*.jar
%endif #container_jruby

%if_with container_jython
%files        container-jython
%{_javadir}/%{name}/container-jython*.jar
%endif #container_jython

%if_with container_rhino
%if_with container_rhino
%files        container-rhino
%{_javadir}/%{name}/container-rhino*.jar
%endif #container_rhino
%endif #container_rhino

%if_with webcontainer
%files        webcontainer
%{_javadir}/%{name}/webcontainer*.jar
%endif #container

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%if_with manual
%files manual
%doc %{_docdir}/%{name}-%{version}
%endif #manual

%changelog
* Fri Mar 20 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.1-alt2_1jpp5
- fixed build

* Wed Nov 26 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.1-alt1_1jpp5
- fixed build w/java5

* Tue Dec 18 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.1-alt1_1jpp1.7
- converted from JPackage by jppimport script

